com.tibbo.aggregate.common.expression

## Class Evaluator.EvaluationStatistics

- java.lang.Object
- - com.tibbo.aggregate.common.expression.Evaluator.EvaluationStatistics

- Enclosing class:
    Evaluator

      public static class Evaluator.EvaluationStatistics
      extends java.lang.Object

- - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `static java.util.concurrent.atomic.AtomicLong` | `ERRORS_CAUGHT`
    `static java.util.concurrent.atomic.AtomicLong` | `ERRORS_GENERATED`
    `static java.util.concurrent.atomic.AtomicLong` | `EXPRESSIONS_EVALUATED`
    `static java.util.concurrent.atomic.AtomicLong` | `EXPRESSIONS_PARSED`
    `static java.util.Map<java.lang.String,java.util.concurrent.atomic.AtomicLong>` | `FUNCTIONS_CALLED`
    `static java.util.concurrent.atomic.AtomicLong` | `REFERENCES_PROCESSED`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `EvaluationStatistics()`

  - ### Method Summary

    All Methods Static Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `static void` | `onErrorCatch()`
    `static void` | `onErrorGenerated()`
    `static void` | `onExpressionEvaluated()`
    `static void` | `onExpressionParsed()`
    `static void` | `onFunctionCall(java.lang.String description)`
    `static void` | `onReferenceProcessed()`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Field Detail

    - #### EXPRESSIONS_PARSED

          public static final java.util.concurrent.atomic.AtomicLong EXPRESSIONS_PARSED

    - #### EXPRESSIONS_EVALUATED

          public static final java.util.concurrent.atomic.AtomicLong EXPRESSIONS_EVALUATED

    - #### ERRORS_GENERATED

          public static final java.util.concurrent.atomic.AtomicLong ERRORS_GENERATED

    - #### ERRORS_CAUGHT

          public static final java.util.concurrent.atomic.AtomicLong ERRORS_CAUGHT

    - #### REFERENCES_PROCESSED

          public static final java.util.concurrent.atomic.AtomicLong REFERENCES_PROCESSED

    - #### FUNCTIONS_CALLED

          public static final java.util.Map<java.lang.String,java.util.concurrent.atomic.AtomicLong> FUNCTIONS_CALLED

  - ### Constructor Detail

    - #### EvaluationStatistics

          public EvaluationStatistics()

  - ### Method Detail

    - #### onReferenceProcessed

          public static void onReferenceProcessed()

    - #### onErrorCatch

          public static void onErrorCatch()

    - #### onFunctionCall

          public static void onFunctionCall(java.lang.String description)

    - #### onExpressionEvaluated

          public static void onExpressionEvaluated()

    - #### onErrorGenerated

          public static void onErrorGenerated()

    - #### onExpressionParsed

          public static void onExpressionParsed()